Ecosystem
Get news articles
Gets all news articles available to a user.
GET
/
ecosystem
/
updates
/
news-article
Get news articles
curl --request GET \
--url https://ctechnology.io/api/v2.2/ecosystem/updates/news-article \
--header 'Authorization: <api-key>'import requests
url = "https://ctechnology.io/api/v2.2/ecosystem/updates/news-article"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://ctechnology.io/api/v2.2/ecosystem/updates/news-article', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"header": {
"num_results": 123,
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
],
"offset": 123,
"limit": 123
},
"data": [
{
"id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"title": "<string>",
"content": "<string>",
"organization_id": "<string>",
"organization_name": "<string>",
"image_id": "<string>",
"image_url": "<string>",
"title_i18n": {},
"content_i18n": {},
"tags": [
"<string>"
],
"online": true
}
]
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}Authorizations
Note that the API key has to be sent as Token 123 where 123 is
the key you received after logging in or by creating on the developer
dashboard.
Query Parameters
Up until when to get the news articles.
The number of news articles to return.
⌘I
Get news articles

